<?php
namespace Ecommerce\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class ContasAReceberRelatorio extends \Zeedhi\Framework\Controller\Report {
    protected $reportService;
    protected $birtStrategy;
    protected $environment;
    protected $QR2Strategy;
    protected $connection;
    protected $repParam;
    
    
    public function __construct($reportService, $birtStrategy, $environment, $QR2Strategy, $connection) {
        $this->reportService     = $reportService;
        $this->birtStrategy      = $birtStrategy;
        $this->environment       = $environment;
        $this->QR2Strategy       = $QR2Strategy;
        $this->connection        = $connection;
    }
    
    protected $reportMapping = array(
    
        'ECO00100' => array (
            'strategy' => 'BIRT',
            'parameterMapping' => array (
                'P_CDFORNECED'    => 'P_CDFORNECED',
                'P_TDTVENC'       => 'P_TDTVENC',
                'P_DTINICIAL'     => 'P_DTINICIAL',
                'P_DTFINAL'       => 'P_DTFINAL',
                'P_TDTPAGA'       => 'P_TDTPAGA',
                'P_DTPAGINI'      => 'P_DTPAGINI',
                'P_DTPAGFIN'      => 'P_DTPAGFIN',
                'NF'              => 'NF',
                'CDEMPRESA'       => 'CDEMPRESA',
                'STATUS'          => 'STATUS',
                'P_DSLOGINECO'    => 'P_DSLOGINECO',
                'ANTECIPADA'      => 'ANTECIPADA'
            )
        ),
        'ECO00101' => array (
            'strategy' => 'BIRT',
            'parameterMapping' => array (
                'P_CDFORNECED'    => 'P_CDFORNECED',
                'P_TDTVENC'       => 'P_TDTVENC',
                'P_DTINICIAL'     => 'P_DTINICIAL',
                'P_DTFINAL'       => 'P_DTFINAL',
                'P_TDTPAGA'       => 'P_TDTPAGA',
                'P_DTPAGINI'      => 'P_DTPAGINI',
                'P_DTPAGFIN'      => 'P_DTPAGFIN',
                'NF'              => 'NF',
                'CDEMPRESA'       => 'CDEMPRESA',
                'STATUS'          => 'STATUS',
                'P_DSLOGINECO'    => 'P_DSLOGINECO',
                'ANTECIPADA'      => 'ANTECIPADA'
            )
        ),
        'ECO00103' => array (
            'strategy' => 'BIRT',
            'parameterMapping' => array (
                'P_CDFORNECED'    => 'P_CDFORNECED',
                'P_CDFORNERELACAF'=> 'P_CDFORNERELACAF',
                'P_TDTVENC'       => 'P_TDTVENC',
                'P_DTINICIAL'     => 'P_DTINICIAL',
                'P_DTFINAL'       => 'P_DTFINAL',
                'P_TDTPAGA'       => 'P_TDTPAGA',
                'P_DTPAGINI'      => 'P_DTPAGINI',
                'P_DTPAGFIN'      => 'P_DTPAGFIN',
                'NF'              => 'P_NF',
                'CDEMPRESA'       => 'P_CDEMPRESA',
                'STATUS'          => 'P_STATUS',
                'P_DSLOGINECO'    => 'P_DSLOGINECO',
                'ANTECIPADA'      => 'P_ANTECIPADA'
            )
        )
  );
    
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->birtStrategy->setReportFormat(strtolower($row['QR2TYPE']));
    }
    
}