<?php

namespace Ecommerce\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\FilterCriteria;

class RegistrarLogAcessoController extends \Teknisa\Libs\Controller\CRUD {
    
   protected $novoCodigo;
   protected $RegistrarLogAcessoService;
    
    
    public function __construct($crudService, $environment, $novoCodigo, $RegistrarLogAcessoService){
        $this->crudService = $crudService;
        $this->environment = $environment;
        $this->novoCodigo = $novoCodigo;
        $this->RegistrarLogAcessoService = $RegistrarLogAcessoService;
    }
    
    public function registrarAcesso(DTO\Request $request, DTO\Response $response) {
        try {
            $row = $request->getRow();
            $params = array(
                ":P_NRLOGACESPEDCOL" => $this->novoCodigo->getCodeByTableName('LOGACESPEDCOL', $this->environment->getNrOrgTrab()),
                ":P_NRPEDIDOCOL" => $row["NRPEDIDOCOL"],
                ":P_DSLOGINACES" => $row["EMAIL"],
                ":P_CDFORNECED" => $row["CDFORNECED"],
                ":P_CDFILIAL" => $row["CDFILIAL"],
                ":P_NRORG" => $row['NRORG']
            );
            
            $this->RegistrarLogAcessoService->insertLogAcesso($params);
            
        } catch (\Exception $e){
            $response->setError(new Error($e->getMessage(), 1));
        }
        
    }
}
