-- ============================================================
--   Table: CRM_MOTIVOALERTA 
-- ============================================================
ALTER TABLE CRM_MOTIVOALERTA MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: CRM_PERFIMOTICONT 
-- ============================================================
ALTER TABLE CRM_PERFIMOTICONT MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: CRM_PERFPAINELMOTIVO 
-- ============================================================
ALTER TABLE CRM_PERFPAINELMOTIVO MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: CRM_RELACIONAMOTIVOSISTEMA 
-- ============================================================
ALTER TABLE CRM_RELACIONAMOTIVOSISTEMA MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: CRM_RELACMOTIPROD 
-- ============================================================
ALTER TABLE CRM_RELACMOTIPROD MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: MOTICONT 
-- ============================================================
ALTER TABLE MOTICONT MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: ETLCOMERCIAL 
-- ============================================================
ALTER TABLE ETLCOMERCIAL MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: ETLCOMERCIALMENSAL 
-- ============================================================
ALTER TABLE ETLCOMERCIALMENSAL MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: CONTATOPED 
-- ============================================================
ALTER TABLE CONTATOPED MODIFY CDMOTICONT VARCHAR2(10)
/

-- ============================================================
--   Table: CONTATO 
-- ============================================================
DROP INDEX CASO_INICIAL
/

DROP INDEX CASO_INICIAL2
/

ALTER TABLE CONTATO DROP CONSTRAINT FKSRV00045MOTICONT
/

ALTER TABLE CONTATO MODIFY CDMOTICONT VARCHAR2(10)
/

ALTER TABLE CONTATO ADD 
  CONSTRAINT FKSRV00045MOTICONT FOREIGN KEY (CDMOTICONT) REFERENCES MOTICONT (CDMOTICONT)
/

CREATE INDEX CASO_INICIAL ON CONTATO (CDMOTICONT, CDOPERCONT, NRSEQSITUACAO DESC)
/

CREATE INDEX CASO_INICIAL2 ON CONTATO (CDMOTICONT, NRSEQSITUACAO DESC)
/

-- ============================================================
--   Table: CRM_SITUACAO 
-- ============================================================
ALTER TABLE CRM_SITUACAO ADD IDLIGARSLA VARCHAR2(1) DEFAULT 'N' NOT NULL
        CONSTRAINT CKC_SITIDLIGARSLA CHECK (IDLIGARSLA IN ('S','N'))
/

ALTER TABLE CRM_SITUACAO ADD IDENCERRASOLICITANTE  VARCHAR2(1) DEFAULT 'N' NOT NULL
        CONSTRAINT CKC_SITIDENCERRASOL CHECK (IDENCERRASOLICITANTE IN ('N','S'))
/

-- ============================================================
--   Table: CRM_NATUCONTCLASSIFICACASO                         
-- ============================================================
CREATE TABLE CRM_NATUCONTCLASSIFICACASO
(
    NRCLASSIFICACAOCASO  NUMBER                 NOT NULL,
    CDNATUCONT           VARCHAR2(2)            NOT NULL,
    NRORG                NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    DTINCLUSAO           DATE                   DEFAULT SYSDATE NOT NULL,
    DTULTATU             DATE                   NULL    ,
    NRORGINCLUSAO        NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    CDOPERINCLUSAO       VARCHAR2(12)           DEFAULT '1' NOT NULL,
    NRORGULTATU          NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    CDOPERULTATU         VARCHAR2(12)           DEFAULT '1' NOT NULL,
    IDATIVO              VARCHAR2(1)            DEFAULT 'S' NOT NULL
        CONSTRAINT CKCIDATIVONATCONTCLAS CHECK (IDATIVO IN ('S','N')),
    CONSTRAINT CRM_NATUCONTCLASSIFICACASO_PK PRIMARY KEY (NRCLASSIFICACAOCASO, CDNATUCONT)
)
/

-- ============================================================
--   Index: FKCRM0123_CRM_NATUCONTCLASSIF                   
-- ============================================================
CREATE INDEX FKCRM0123_CRM_NATUCONTCLASSIF ON CRM_NATUCONTCLASSIFICACASO (CDNATUCONT ASC)
/

-- ============================================================
--   Index: FKCRM0124_CRM_NATUCONTCLASSIF 
-- ============================================================
CREATE INDEX FKCRM0124_CRM_NATUCONTCLASSIF ON CRM_NATUCONTCLASSIFICACASO (NRCLASSIFICACAOCASO ASC)
/

-- ============================================================
--   Index: CRM_NATUCONTCLASSIFICACASO
-- ============================================================
ALTER TABLE CRM_NATUCONTCLASSIFICACASO
    ADD CONSTRAINT FKCRM0123NATUCONT FOREIGN KEY  (CDNATUCONT)
       REFERENCES NATUCONT (CDNATUCONT)
/

ALTER TABLE CRM_NATUCONTCLASSIFICACASO
    ADD CONSTRAINT FKCRM0124CLASSIFICACAOCASO FOREIGN KEY  (NRCLASSIFICACAOCASO)
       REFERENCES CRM_CLASSIFICACAOCASO (NRCLASSIFICACAOCASO)
/

-- ============================================================
--   Index: NATUCONT 
-- ============================================================
ALTER TABLE NATUCONT MODIFY NMNATUCONT VARCHAR2(100)
/

-- ============================================================
--   Index: CRM_RESULTEVOL 
-- ============================================================
 ALTER TABLE CRM_RESULTEVOL ADD IDGANHAPERDE VARCHAR2(05) DEFAULT 'PERDE' NOT NULL
CONSTRAINT CKCRESIDGANHAPERDE CHECK (IDGANHAPERDE IN ('PERDE','GANHA'))
/

-- ============================================================
--   Table: CRM_STATUSGRUPO                                    
-- ============================================================
CREATE TABLE CRM_STATUSGRUPO
(
    NRSEQSITUACAO      NUMBER                 NOT NULL,
    NRFILAATENDIMENTO  NUMBER                 NOT NULL,
    IDLIGARSLA         VARCHAR2(1)            DEFAULT 'N' NOT NULL
        CONSTRAINT CKCSTGRUPIDLIGARSLA CHECK (IDLIGARSLA IN ('S','N')),
    NRORDEM            NUMBER                 NOT NULL,
    NRORG              NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    DTINCLUSAO         DATE                   DEFAULT SYSDATE NOT NULL,
    DTULTATU           DATE                   NULL    ,
    NRORGINCLUSAO      NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    CDOPERINCLUSAO     VARCHAR2(12)           DEFAULT '1' NOT NULL,
    NRORGULTATU        NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    CDOPERULTATU       VARCHAR2(12)           DEFAULT '1' NOT NULL,
    IDATIVO            VARCHAR2(1)            DEFAULT 'S' NOT NULL
        CONSTRAINT CKCIDATIVOSTATUSGRUPO CHECK (IDATIVO IN ('S','N')),
    CONSTRAINT CRM_STATUSGRUPO_PK PRIMARY KEY (NRSEQSITUACAO, NRFILAATENDIMENTO)
)
/

-- ============================================================
--   Index: FKCRM0125CRM_STATUSGRUPO                         
-- ============================================================
CREATE INDEX FKCRM0125CRM_STATUSGRUPO ON CRM_STATUSGRUPO (NRFILAATENDIMENTO ASC)
/

-- ============================================================
--   Index: FKCRM0126CRM_STATUSGRUPO                         
-- ============================================================
CREATE INDEX FKCRM0126CRM_STATUSGRUPO ON CRM_STATUSGRUPO (NRSEQSITUACAO ASC)
/

ALTER TABLE CRM_STATUSGRUPO
    ADD CONSTRAINT CRM0125FILATENDIMENTO FOREIGN KEY  (NRFILAATENDIMENTO)
       REFERENCES CRM_FILATENDIMENTO (NRFILAATENDIMENTO)
/

ALTER TABLE CRM_STATUSGRUPO
    ADD CONSTRAINT CRM0126SITUACAO FOREIGN KEY  (NRSEQSITUACAO)
       REFERENCES CRM_SITUACAO (NRSEQSITUACAO)
/

-- ============================================================
--   Table: CRM_PESQSATISFACAO                                 
-- ============================================================
CREATE TABLE CRM_PESQSATISFACAO
(
    NRPESQSATISFACAO    NUMBER                 NOT NULL,
    NMPESQSATISCACAO    VARCHAR2(300)          NOT NULL,
    NRQNTPERG           NUMBER                 NULL    ,
    DSMSGEMAIL          VARCHAR2(3000)         NOT NULL,
    DSMSGAGRADECIMENTO  VARCHAR2(3000)         NOT NULL,
    IDRESPOSTAPESQ      VARCHAR2(5)            DEFAULT 'EMAIL' NOT NULL
        CONSTRAINT CKCPESSATIDRESPESQ CHECK (IDRESPOSTAPESQ IN ('EMAIL','TELA','AMBOS')),
    IDSTATUS            NUMBER                 DEFAULT 4 NOT NULL
        CONSTRAINT CKCPESSATIDSTATUS CHECK (IDSTATUS IN (3,4)),
    IDPESQPADRAO        VARCHAR2(1)            DEFAULT 'N' NOT NULL
        CONSTRAINT CKCPESSATIDPESPAD CHECK (IDPESQPADRAO IN ('N','S')),
    NRORG               NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    DTINCLUSAO          DATE                   DEFAULT SYSDATE NOT NULL,
    DTULTATU            DATE                   NULL    ,
    NRORGINCLUSAO       NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    CDOPERINCLUSAO      VARCHAR2(12)           DEFAULT '1' NOT NULL,
    NRORGULTATU         NUMBER                 DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    CDOPERULTATU        VARCHAR2(12)           DEFAULT '1' NOT NULL,
    IDATIVO             VARCHAR2(1)            DEFAULT 'S' NOT NULL
        CONSTRAINT CKCIDATIVOPESQSATISFACAO CHECK (IDATIVO IN ('S','N')),
    CONSTRAINT CRM_PESQSATISFACAO_PK PRIMARY KEY (NRPESQSATISFACAO)
)
/
